<?xml version='1.0' encoding='UTF-8'?>
<ejb-jar xmlns="http://java.sun.com/xml/ns/javaee" version = "3.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/ejb-jar_3_0.xsd">
	<enterprise-beans>
		<session>

			<description>ClinicalDataServiceSynchronous remote EJB session</description>

			<display-name>ClinicalDataServiceSynchronousRemote</display-name>
			<ejb-name>ClinicalDataServiceSynchronous</ejb-name>

			<home>gov.va.med.cds.ejb.ClinicalDataServiceSynchronousRemoteHomeInterface</home>
			<remote>gov.va.med.cds.ejb.ClinicalDataServiceSynchronousRemoteInterface</remote>

			<local-home>gov.va.med.cds.ejb.ClinicalDataServiceSynchronousLocalHomeInterface</local-home>
			<local>gov.va.med.cds.ejb.ClinicalDataServiceSynchronousLocalInterface</local>

			<ejb-class>gov.va.med.cds.ejb.ClinicalDataServiceSynchronousSession</ejb-class>
			<session-type>Stateless</session-type>
			<transaction-type>Container</transaction-type>

			<resource-ref>
				<res-ref-name>workManagers/QueryConcurrentRead</res-ref-name>
				<res-type>commonj.work.WorkManager</res-type>
				<res-auth>Container</res-auth>
				<res-sharing-scope>Shareable</res-sharing-scope>
			</resource-ref>

			<resource-ref>
				<res-ref-name>workManagers/ConcurrentRead</res-ref-name>
				<res-type>commonj.work.WorkManager</res-type>
				<res-auth>Container</res-auth>
				<res-sharing-scope>Shareable</res-sharing-scope>
			</resource-ref>

		</session>

		<session>

			<description>ClinicalDataServiceRpcSynchronous EJB session</description>

			<display-name>ClinicalDataServiceRpcSynchronous</display-name>
			<ejb-name>ClinicalDataServiceRpcSynchronous</ejb-name>

			<local-home>gov.va.med.cds.rpc.ejb.ClinicalDataServiceRpcSynchronousLocalHomeInterface</local-home>
			<local>gov.va.med.cds.rpc.ejb.ClinicalDataServiceRpcSynchronousLocalInterface</local>

			<ejb-class>gov.va.med.cds.rpc.ejb.ClinicalDataServiceRpcSynchronousSession</ejb-class>
			<session-type>Stateless</session-type>
			<transaction-type>Container</transaction-type>

			<resource-ref>
				<res-ref-name>workManagers/RpcConcurrentRead</res-ref-name>
				<res-type>commonj.work.WorkManager</res-type>
				<res-auth>Container</res-auth>
				<res-sharing-scope>Shareable</res-sharing-scope>
			</resource-ref>

		</session>
		
		
	</enterprise-beans>

	<assembly-descriptor>
		<container-transaction>
			<method>
				<ejb-name>ClinicalDataServiceSynchronous</ejb-name>
				<method-name>readClinicalData</method-name>
			</method>
			<trans-attribute>Supports</trans-attribute>
		</container-transaction>
		<container-transaction>
			<method>
				<ejb-name>ClinicalDataServiceSynchronous</ejb-name>
				<method-name>*</method-name>
			</method>
			<trans-attribute>RequiresNew</trans-attribute>
		</container-transaction>

		<container-transaction>
			<method>
				<ejb-name>ClinicalDataServiceRpcSynchronous</ejb-name>
				<method-name>readData</method-name>
			</method>
			<trans-attribute>Supports</trans-attribute>
		</container-transaction>
		<container-transaction>
			<method>
				<ejb-name>ClinicalDataServiceRpcSynchronous</ejb-name>
				<method-name>*</method-name>
			</method>
			<trans-attribute>RequiresNew</trans-attribute>
		</container-transaction>
	</assembly-descriptor>
</ejb-jar>
